import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { FawvwLotReplace } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-12-13 14:52
 */
interface FawvwLotReplaceCU extends ConditionUtil<FawvwLotReplaceCU> {
    LOT_ID: FieldUtil<FawvwLotReplaceCU>;
    LOT_NAME: FieldUtil<FawvwLotReplaceCU>;
    REPLACE_LOT_NAME: FieldUtil<FawvwLotReplaceCU>;
}
declare class FawvwLotReplaceMU extends TableUtilImpl<FawvwLotReplaceCU, FawvwLotReplace> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): FawvwLotReplaceCU;
    static get LOT_ID(): FieldUtil<FawvwLotReplaceCU>;
    static get LOT_NAME(): FieldUtil<FawvwLotReplaceCU>;
    static get REPLACE_LOT_NAME(): FieldUtil<FawvwLotReplaceCU>;
    get LOT_ID(): FieldUtil<FawvwLotReplaceCU>;
    get LOT_NAME(): FieldUtil<FawvwLotReplaceCU>;
    get REPLACE_LOT_NAME(): FieldUtil<FawvwLotReplaceCU>;
}
export { FawvwLotReplaceMU, FawvwLotReplaceCU };
